Last Comment Bug 561176 - Restart dialog message is confusing
: Restart dialog message is confusing
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.1a3
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 13:03 PDT by Karsten Düsterloh
Modified: 2010-08-10 13:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Changed the Cancel button to Restart Later and the Restart button to Restart Now (742 bytes, patch)
2010-08-03 06:00 PDT, Edmund Wong (:ewong)
mnyromyr: review-
Details | Diff | Review
Changed the Cancel button to Restart Later and the Restart button to Restart Now (2.19 KB, patch)
2010-08-03 19:34 PDT, Edmund Wong (:ewong)
mnyromyr: review+
Details | Diff | Review
Changed the Cancel button to Restart Later and the Restart button to Restart Now (v3) (2.40 KB, patch)
2010-08-05 23:12 PDT, Edmund Wong (:ewong)
ewong: review+
Details | Diff | Review
Changed the Cancel button to Restart Later and the Restart button to Restart Now v4 (2.49 KB, patch)
2010-08-05 23:19 PDT, Edmund Wong (:ewong)
ewong: review+
neil: superreview-
Details | Diff | Review
Changed the Cancel button to Restart Later and the Restart button to Restart Now v5 (2.56 KB, patch)
2010-08-06 08:00 PDT, Edmund Wong (:ewong)
neil: superreview+
Details | Diff | Review
Changed the Cancel button to Restart Later and the Restart button to Restart Now [Checkin: comment 13] (2.56 KB, patch)
2010-08-06 18:57 PDT, Edmund Wong (:ewong)
ewong: review+
ewong: superreview+
Details | Diff | Review

Description Karsten Düsterloh 2010-04-22 13:03:13 PDT
After deinstalling an addon and clicking the "Restart SeaMonkey" button, a dialog (sheet) appears, saying:


Restart SeaMonkey
SeaMonkey will try to restore your tabs and windows when it restarts.
[ ] Don not ask next time
                           (Cancel)   (Restart)


It's totally unclear at first sight what (Cancel) will do here:
1. Will it cancel the restart? 
   Then the buttons should say (Restart Later) (Restart Now).
2. Will it avoid tab/window restoration, but still restart?
   Then it should say (Restart without restoration) (Restart with restoration).

Yes, I know it does (1), but we should definitely change the text.
(Cancel) is almost always a bad alternative.
Comment 1 Edmund Wong (:ewong) 2010-08-03 06:00:22 PDT
Created attachment 462377 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now
Comment 2 Karsten Düsterloh 2010-08-03 15:57:59 PDT
Comment on attachment 462377 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now

>-cancelTitle=&Cancel
>+restartTitle=&Restart Now
>+cancelTitle=Restart &Later

Changing cancelTitle will also change the Cancel button for normal shutdown with multiple open tabs - "Restart Later" doesn't make much sense there. Most probably, you may need a new entity here like cancelRestartTitle etc.

> neverAsk=Do not ask next time

Maybe worth adding a suitable accesskey here as well, while you're at it. ;-)
Comment 3 Edmund Wong (:ewong) 2010-08-03 19:32:58 PDT
(In reply to comment #2)
> Comment on attachment 462377 [details] [diff] [review]
> Changed the Cancel button to Restart Later and the Restart button to Restart
> Now
> 
> >-cancelTitle=&Cancel
> >+restartTitle=&Restart Now
> >+cancelTitle=Restart &Later
> 
> Changing cancelTitle will also change the Cancel button for normal shutdown
> with multiple open tabs - "Restart Later" doesn't make much sense there. Most
> probably, you may need a new entity here like cancelRestartTitle etc.

Yes.  Silly me.  I've done this type of thing before, so I should've
guessed it wasn't that straight forward.  I've done patch.  Will 
include it now.

> 
> > neverAsk=Do not ask next time
> 
> Maybe worth adding a suitable accesskey here as well, while you're at it. ;-)

Changed to &Do not ask...
Comment 4 Edmund Wong (:ewong) 2010-08-03 19:34:52 PDT
Created attachment 462634 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now
Comment 5 Karsten Düsterloh 2010-08-05 15:30:39 PDT
Comment on attachment 462634 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now

>diff --git a/suite/common/src/nsSuiteGlue.js b/suite/common/src/nsSuiteGlue.js
>       var button0Title, button2Title;
>       var button1Title = quitBundle.GetStringFromName("cancelTitle");

You're changing button1Title anyway below, no need to init it here.

>       var neverAskText = quitBundle.GetStringFromName("neverAsk");
> 
>-      if (aQuitType == "restart")
>+      if (aQuitType == "restart"){

Nit: space missing before {.

>diff --git a/suite/locales/en-US/chrome/common/quitDialog.properties b/suite/locales/en-US/chrome/common/quitDialog.properties
> quitTitle=&Quit
> restartTitle=&Restart

You forgot to change restartTitle.

> cancelTitle=&Cancel
>+cancelRestartTitle=Restart &Later

r=me with those fixed; over to Neil... ;-)
Comment 6 Edmund Wong (:ewong) 2010-08-05 23:12:23 PDT
Created attachment 463433 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now  (v3)
Comment 7 Edmund Wong (:ewong) 2010-08-05 23:19:39 PDT
Created attachment 463435 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now v4

Reordered the button1Title declaration.
Comment 8 neil@parkwaycc.co.uk 2010-08-06 03:00:54 PDT
Comment on attachment 463435 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now v4

> quitTitle=&Quit
>-restartTitle=&Restart
>+restartTitle=&Restart Now
> cancelTitle=&Cancel
>+cancelRestartTitle=Restart &Later
> saveTitle=&Save and Quit
>-neverAsk=Do not ask next time
>+neverAsk=&Do not ask next time
Sadly the l10n boys will be on us like a ton of bricks for doing this.
So you'll need to use restartNowTitle and restartLaterTitle instead.
While you're there you might as well put them before quitTitle.
(The current order is completely wrong but we won't bother about that.)
Comment 9 Edmund Wong (:ewong) 2010-08-06 06:57:19 PDT
(In reply to comment #8)
> Comment on attachment 463435 [details] [diff] [review]
> Changed the Cancel button to Restart Later and the Restart button to Restart
> Now v4
> 
> > quitTitle=&Quit
> >-restartTitle=&Restart
> >+restartTitle=&Restart Now
> > cancelTitle=&Cancel
> >+cancelRestartTitle=Restart &Later
> > saveTitle=&Save and Quit
> >-neverAsk=Do not ask next time
> >+neverAsk=&Do not ask next time
> Sadly the l10n boys will be on us like a ton of bricks for doing this.
> So you'll need to use restartNowTitle and restartLaterTitle instead.
> While you're there you might as well put them before quitTitle.
> (The current order is completely wrong but we won't bother about that.)

I'm on it.  When  you mean the order is wrong, what order should it 
be?  I might as well fix it while I'm at it.
Comment 10 Edmund Wong (:ewong) 2010-08-06 08:00:05 PDT
Created attachment 463542 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now v5
Comment 11 neil@parkwaycc.co.uk 2010-08-06 14:11:17 PDT
Comment on attachment 463542 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now v5

> restartTitle=&Restart
I don't think we need this one any more. sr=me with that fixed.
Comment 12 Edmund Wong (:ewong) 2010-08-06 18:57:45 PDT
Created attachment 463739 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now [Checkin: comment 13]

Removed the restart string.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2010-08-10 13:37:13 PDT
Comment on attachment 463739 [details] [diff] [review]
Changed the Cancel button to Restart Later and the Restart button to Restart Now [Checkin: comment 13]

http://hg.mozilla.org/comm-central/rev/7667f2321d07

Note You need to log in before you can comment on or make changes to this bug.